#ifndef PROJECTILE_HPP
#define PROJECTILE_HPP

#include "weapon_data.hpp"
namespace godot {
class Node3D;
class ProjectilePool;

class IProjectile {
public:
    virtual void set_weapon_data(Ref<WeaponData> data) = 0;
    void return_to_pool();
private:
    ProjectilePool *pool{nullptr};
};
}

#endif // !PROJECTILE_HPP
